import {KeyState} from "./keyState";

enum Store {
    STEAM = 'steam',
    GOG = 'gog',
    EPICGAMES = 'epicgames',
    ORIGIN = 'origin',
    UPLAY = 'uplay',
    BATTLENET = 'battlenet',
    EXTERNAL = 'external'
}

export type Game = {
    name: string
}

export type Key = {
    game?: Game,
    key: string,
    store: Store,
    state: KeyState,
    store_link: string|null,
    fromWhere: string|null,
}

