export function init() {
    const modalElem = document.querySelector<HTMLDivElement>('#edit-list-modal');
    
    if (!modalElem) {
        return;
    }
    
    modalElem.addEventListener('show.bs.modal', () => {
        const listSelect = document.querySelector<HTMLSelectElement>('#list-select');
        const text = listSelect?.selectedOptions[0].text ?? '';
        
        const listnameElem = modalElem.querySelector<HTMLSpanElement>('.list-name');
        if (!listnameElem) {
            return;
        }
        listnameElem.textContent = text;
    })
}